import request from '@/config/axios'

export interface QualityDetectionVO {
  id: string
  rglid: string,
  code: string,
  type: string,
  rq: string,
  bc: string,
  bcName: string,
  cysj: string,
  cyd: string,
  cydName: number,
  cl: number,
  cysl: number,
  hysj: number,
  mz: string,
  mzName: string,
  hf: string,
  sf: string,
  lf: string,
  hff: string,
  nj: string,
  jzc: string,
  frl: string,
  zs: string,
  gs: string,
  ylmnHf: string,
  bz: string,
}

export interface QualityDetectionPageReqVO extends PageParam {
  ny?: string,
}


// 查询QualityDetection列表
export const getQualityDetectionPage = (params: QualityDetectionPageReqVO) => {
  return request.get({ url: '/xmcpms/coal-quality/QualityDetection/full/page', params })
}

// 查询QualityDetection详情
export const getQualityDetection = (id: number) => {
  return request.get({ url: '/xmcpms/coal-quality/QualityDetection/full/get?id=' + id})
}

// 新增QualityDetection
export const createQualityDetection = (data: QualityDetectionVO) => {
  return request.post({ url: '/xmcpms/coal-quality/QualityDetection/full/create', data })
}

// 修改QualityDetection
export const updateQualityDetection = (data: QualityDetectionVO) => {
  return request.put({ url: '/xmcpms/coal-quality/QualityDetection/full/update', data })
}

// 删除QualityDetection
export const deleteQualityDetection = (id: number) => {
  return request.delete({ url: '/xmcpms/coal-quality/QualityDetection/full/delete?id=' + id })
}
